Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1278)

Unified Diff: build/install-build-deps.sh

Issue 8073002: Linux: Don't bother trying to install gold via apt-get. Just always build our own copy. (Closed) Base URL: svn://chrome-svn/chrome/trunk/src/
Patch Set: '' Created 9 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-build-deps.sh
===================================================================
--- build/install-build-deps.sh (revision 103145)
+++ build/install-build-deps.sh (working copy)
@@ -314,14 +314,8 @@
fi
if test "$do_inst_gold" = "1"
then
- # If the system provides a good version of gold, just install it.
- if apt-cache show binutils-gold | grep -Eq 'Version: 2.2[1-9].*'; then
- echo "Installing binutils-gold. Backing up ld as ld.single."
- sudo apt-get install binutils-gold
- else
- echo "Building binutils with gold..."
- install_gold || exit 99
- fi
+ echo "Building binutils with gold..."
+ install_gold || exit 99
else
echo "Not installing gold."
fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698